Summary:  KDE Frameworks 5 Tier 2 addon for generating documentation
Name:     kf5-kdoctools
Version:  5.110.0
%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Release:  1%{?dist}
License:  GPLv2+ and MIT
URL:      https://invent.kde.org/frameworks/kdoctools
Source0:  http://download.kde.org/%{stable}/frameworks/%{majmin}/kdoctools-%{version}.tar.xz

BuildRequires:  docbook-dtds, docbook-style-xsl
BuildRequires:  kf5-rpm-macros, kf5-karchive-devel >= %{majmin}, kf5-ki18n-devel >= %{majmin}
BuildRequires:  extra-cmake-modules >= %{majmin}
BuildRequires:  libxml2-devel, libxslt-devel
BuildRequires:  perl-URI
BuildRequires:  qt5-qtbase-devel

Requires:       docbook-dtds
Requires:       docbook-style-xsl

%description
Provides tools to generate documentation in various format from DocBook files.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Provides:       kf5-kdoctools-static = %{version}-%{release}
Requires:       qt5-qtbase-devel
Requires:       perl-URI

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n kdoctools-%{version} -p1


%build
%cmake_kf5 \
    -DBUILD_TESTING:BOOL=ON

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-man --with-html


%check
export CTEST_OUTPUT_ON_FAILURE=1
make test -C %{_target_platform} ARGS="--output-on-failure --timeout 300" ||:

%files -f %{name}.lang
%license LICENSES/*.txt
%doc README.md
%{_kf5_bindir}/checkXML5
%{_kf5_bindir}/meinproc5
%{_kf5_libdir}/libKF5DocTools.so.5*
%{_kf5_mandir}/man1/*.1*
%{_kf5_mandir}/man7/*.7*
%{_kf5_datadir}/kf5/kdoctools/
%{_kf5_docdir}/HTML/*/kdoctools5-common/

%files devel
%{_kf5_libdir}/libKF5DocTools.so
%{_kf5_libdir}/cmake/KF5DocTools/
%{_kf5_includedir}/KDocTools/


%changelog
* Sat Nov 11 2023 Chair <chairou@tencent.com> - 5.110.0-1
- Init
